class JavaIntegerTest
{
	//--------------------------------------------------------------------------
	//Integer test
	
	public static int Test(int param)
	{
		return 255 - param;
	}

	public static int[][][] Test3D(int[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = 255 - param[i1][i2][i3];
				}
			}
		}
		return param;
	}

	//--------------------------------------------------------------------------
	//Integer Object test

	public static Integer TestObj(Integer param)
	{
		return new Integer(255 - param.intValue());
	}

	public static Integer[][][] TestObj3D(Integer[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = new Integer(255 - param[i1][i2][i3].intValue()); 
				}
			}
		}
		return param;
	}
}
